Bug 1123287 - [abrt] juffed: std::_Rb_tree<std::string, std::pair<std::string const, std::string>, std::_Select1st<std::pair<std::string const, std::string> >, std::less<std::string>, std::allocator<std::pair<std::string const, std::string> > >::_M_erase(): juffed ...
Summary: [abrt] juffed: std::_Rb_tree<std::string, std::pair<std::string const, std::s...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: juffed
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Eugene A. Pivnev
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:304c49435db56c476a8909d4d58...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-25 08:53 UTC by Andrey Volkov
Modified: 2015-06-29 21:45 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:45:20 UTC


Attachments (Terms of Use)
File: backtrace (93.91 KB, text/plain)
2014-07-25 08:53 UTC, Andrey Volkov
no flags Details
File: cgroup (172 bytes, text/plain)
2014-07-25 08:53 UTC, Andrey Volkov
no flags Details
File: core_backtrace (46.09 KB, text/plain)
2014-07-25 08:53 UTC, Andrey Volkov
no flags Details
File: dso_list (12.55 KB, text/plain)
2014-07-25 08:53 UTC, Andrey Volkov
no flags Details
File: environ (1.82 KB, text/plain)
2014-07-25 08:53 UTC, Andrey Volkov
no flags Details
File: limits (1.29 KB, text/plain)
2014-07-25 08:53 UTC, Andrey Volkov
no flags Details
File: maps (74.67 KB, text/plain)
2014-07-25 08:54 UTC, Andrey Volkov
no flags Details
File: open_fds (2.57 KB, text/plain)
2014-07-25 08:54 UTC, Andrey Volkov
no flags Details
File: proc_pid_status (942 bytes, text/plain)
2014-07-25 08:54 UTC, Andrey Volkov
no flags Details
File: var_log_messages (486 bytes, text/plain)
2014-07-25 08:54 UTC, Andrey Volkov
no flags Details
File: exploitable (168 bytes, application/octet-stream)
2014-07-25 08:54 UTC, Andrey Volkov
no flags Details

Description Andrey Volkov 2014-07-25 08:53:47 UTC
Version-Release number of selected component:
juffed-0.10-5.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/bin/juffed
crash_function: std::_Rb_tree<std::string, std::pair<std::string const, std::string>, std::_Select1st<std::pair<std::string const, std::string> >, std::less<std::string>, std::allocator<std::pair<std::string const, std::string> > >::_M_erase
executable:     /usr/bin/juffed
kernel:         3.14.9-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 std::_Rb_tree<std::string, std::pair<std::string const, std::string>, std::_Select1st<std::pair<std::string const, std::string> >, std::less<std::string>, std::allocator<std::pair<std::string const, std::string> > >::_M_erase at /usr/include/c++/4.8.1/bits/stl_tree.h:1125
 #1 ~_Rb_tree at /usr/include/c++/4.8.1/bits/stl_tree.h:671
 #2 ~map at /usr/include/c++/4.8.1/bits/stl_map.h:96
 #3 PropSetSimple::~PropSetSimple at ../lexlib/PropSetSimple.cpp:37
 #4 LexState::~LexState at ../src/ScintillaBase.cpp:506
 #6 Document::~Document at ../src/Document.cpp:125
 #8 Document::Release at ../src/Document.cpp:172
 #9 Editor::~Editor at ../src/Editor.cpp:234
 #10 QsciScintillaQt::~QsciScintillaQt at ScintillaQt.cpp:120
 #11 QsciScintillaBase::~QsciScintillaBase at qsciscintillabase.cpp:215

Comment 1 Andrey Volkov 2014-07-25 08:53:51 UTC
Created attachment 920914 [details]
File: backtrace

Comment 2 Andrey Volkov 2014-07-25 08:53:52 UTC
Created attachment 920915 [details]
File: cgroup

Comment 3 Andrey Volkov 2014-07-25 08:53:55 UTC
Created attachment 920916 [details]
File: core_backtrace

Comment 4 Andrey Volkov 2014-07-25 08:53:56 UTC
Created attachment 920917 [details]
File: dso_list

Comment 5 Andrey Volkov 2014-07-25 08:53:57 UTC
Created attachment 920918 [details]
File: environ

Comment 6 Andrey Volkov 2014-07-25 08:53:59 UTC
Created attachment 920919 [details]
File: limits

Comment 7 Andrey Volkov 2014-07-25 08:54:01 UTC
Created attachment 920920 [details]
File: maps

Comment 8 Andrey Volkov 2014-07-25 08:54:03 UTC
Created attachment 920921 [details]
File: open_fds

Comment 9 Andrey Volkov 2014-07-25 08:54:04 UTC
Created attachment 920922 [details]
File: proc_pid_status

Comment 10 Andrey Volkov 2014-07-25 08:54:05 UTC
Created attachment 920923 [details]
File: var_log_messages

Comment 11 Andrey Volkov 2014-07-25 08:54:07 UTC
Created attachment 920924 [details]
File: exploitable

Comment 12 Fedora End Of Life 2015-05-29 12:28:13 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2015-06-29 21:45:20 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.